# Uses of Interface
org.gitana.platform.client.release.Release

Packages that use Release
Package
Description
org.gitana.platform.client.release
org.gitana.platform.client.repository
org.gitana.platform.client.support

## Uses of Release in org.gitana.platform.client.release

Classes in org.gitana.platform.client.release that implement Release
Modifier and Type
Class
Description
`class`
`ReleaseImpl`

## Uses of Release in org.gitana.platform.client.repository

Methods in org.gitana.platform.client.repository that return Release
Modifier and Type
Method
Description
`Release`
Repository.`createRelease(com.fasterxml.jackson.databind.node.ObjectNode object)`
Creates a release on the server.
`Release`
Repository.`createRelease(com.fasterxml.jackson.databind.node.ObjectNode object, String sourceReleaseId)`
Creates a release on the server by copying a source release.
`Release`
RepositoryImpl.`createRelease(com.fasterxml.jackson.databind.node.ObjectNode object)`
`Release`
RepositoryImpl.`createRelease(com.fasterxml.jackson.databind.node.ObjectNode object, String sourceReleaseId)`
`Release`
Repository.`readRelease(String releaseId)`
Reads a single release from the server.
`Release`
RepositoryImpl.`readRelease(String releaseId)`
Methods in org.gitana.platform.client.repository that return types with arguments of type Release
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Release>`
Repository.`listReleases()`
Retrieves releases for the repository
`org.gitana.platform.support.ResultMap<Release>`
Repository.`listReleases(org.gitana.platform.support.Pagination pagination)`
Retrieves releases for the repository
`org.gitana.platform.support.ResultMap<Release>`
RepositoryImpl.`listReleases()`
`org.gitana.platform.support.ResultMap<Release>`
RepositoryImpl.`listReleases(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Release>`
Repository.`queryReleases(com.fasterxml.jackson.databind.node.ObjectNode query)`
Queries for releases.
`org.gitana.platform.support.ResultMap<Release>`
Repository.`queryReleases(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
Queries for releases.
`org.gitana.platform.support.ResultMap<Release>`
RepositoryImpl.`queryReleases(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Release>`
RepositoryImpl.`queryReleases(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`

## Uses of Release in org.gitana.platform.client.support

Methods in org.gitana.platform.client.support that return Release
Modifier and Type
Method
Description
`Release`
ObjectFactory.`release(Repository repository)`
`Release`
ObjectFactory.`release(Repository repository, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Release`
ObjectFactory.`release(Repository repository, Response response)`
`Release`
ObjectFactoryImpl.`release(Repository repository)`
`Release`
ObjectFactoryImpl.`release(Repository repository, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Release`
ObjectFactoryImpl.`release(Repository repository, Response response)`
Methods in org.gitana.platform.client.support that return types with arguments of type Release
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Release>`
ObjectFactory.`releases(Repository repository, Response response)`
`org.gitana.platform.support.ResultMap<Release>`
ObjectFactoryImpl.`releases(Repository repository, Response response)`